Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std
Class ClipMarkup

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.ClipMarkup

public class ClipMarkup
extends Behavior

Generate XML-format tagged text for clipboard based on structure tree, instead of usual text.

To do: exclude annotations by checking that span in BASE layer.

Version:
  $Revision: 1.3 $ $Date: 2002/02/01 04:26:24 $

Field Summary
`static java.lang.String` | `MSG_SET` Paste as markup or not.

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`ClipMarkup()`

Method Summary
`void` | `buildAfter(Document doc)` Add self to root to be call during clipboard tree event.
`boolean` | `clipboardBefore(java.lang.StringBuffer sb, Node node)` A tree walk protocol, called before observed node has been given a chance to contribute to the growing selection content in the passed StringBuffer.
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` Semantic event "setMarkup".
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` Add entry to Clipboard menu.

Methods inherited from class multivalent.Behavior
`buildBefore, checkRep, clipboardAfter, createUI, destroy, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restore, restoreChildren, save, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_SET

    public static final java.lang.String MSG_SET

  Paste as markup or not.

  `"setMarkup"`: `arg=` bollean or `null` to toggle.

  See Also:
    Constant Field Values

Constructor Detail

### ClipMarkup

    public ClipMarkup()

Method Detail

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  Add entry to Clipboard menu.

  Overrides:
    `semanticEventBefore` in class `Behavior`

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  Semantic event "setMarkup".

  Overrides:
    `semanticEventAfter` in class `Behavior`

### buildAfter

    public void buildAfter(Document doc)

  Add self to root to be call during clipboard tree event.

  Overrides:
    `buildAfter` in class `Behavior`

### clipboardBefore

    public boolean clipboardBefore(java.lang.StringBuffer sb,
                                   Node node)

  Description copied from class: `Behavior`
  A tree walk protocol, called before observed node has been given a chance to contribute to the growing selection content in the passed StringBuffer. As a special case, observers on the root are always called, even if the selection is for only a part of the document. This way, a behavior could add author and title attribution to all selections. Remember that in addition to appending text to a StringBuffer, text can be inserted anywhere.

  Overrides:
    `clipboardBefore` in class `Behavior`
  Returns:
    `true` to short-circuit to selectAfter at that node, bypassing selection of the subtree. For instance, if you're selecting bibliographic entries, you might want to generate BibTeX or IEEE formatting rather than straight text; likewise, on math, generate Lisp, TeX, or Mathematica.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD